Page MenuHomePhabricator

Add a repair migration to fix legacy Calendar events without "utcInstanceEpoch"
ClosedPublic

Authored by epriestley on Apr 10 2017, 11:37 AM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Aug 3, 10:26 PM
Unknown Object (File)
Fri, Jul 22, 3:55 PM
Unknown Object (File)
Jul 14 2022, 9:23 AM
Unknown Object (File)
Jun 27 2022, 1:05 AM
Unknown Object (File)
Jun 6 2022, 12:00 AM
Unknown Object (File)
Jun 4 2022, 3:00 PM
Unknown Object (File)
Jun 3 2022, 3:10 PM
Unknown Object (File)
May 30 2022, 11:41 PM
Subscribers
None

Details

Summary

Fixes T12488. Some events appear to have survived earlier migrations without getting completely fixed. Fix them.

Test Plan
  • Ran migration locally with bin/storage upgrade (but: I could not reproduce this problem locally).
  • Ran migration in production and saw ICS import stop fataling.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision is now accepted and ready to land.Apr 10 2017, 3:41 PM
This revision was automatically updated to reflect the committed changes.